:root {
	--img-text-color-1: black;
	--img-text-color-2: white;
	--bg-1: #48A5E7;
	--color-0: #F2E3D5;
	--color-1: #3CA6A6;
	--color-2: #026773;
	--color-3: #024959;
	--color-4: #012E40;
	--color-5: #333;
}

body {
	margin: 0;
	padding: 0;
	height: 100%;
	width: 100%;
	font-style: normal;
	font-variant: normal;
	font-weight: normal;
	font-stretch: normal;
	font: 15px Roboto-Regular, Arial, sans-serif;
	letter-spacing: .5px;
	/* color: #333; */
	/* background-color: rgb(245, 243, 243); */
	background-color: #121212;
	color: aliceblue;
}

@font-face {
	font-family: 'Roboto-Bold';
	src: url(/fonts/Roboto-Bold.ttf);
	font-display: block;
}

@font-face {
	font-family: 'Roboto-Regular';
	src: url(/fonts/Roboto-Regular.ttf);
	font-display: block;
}

@font-face {
	font-family: 'Roboto-Light';
	src: url(/fonts/Roboto-Light.ttf);
	font-display: block;
}

@font-face {
	font-family: 'RobotoCondensed-Regular';
	src: url(/fonts/RobotoCondensed-Regular.ttf);
	font-display: block;
}

@font-face {
	font-family: 'RobotoCondensed-Bold';
	src: url(/fonts/RobotoCondensed-Bold.ttf);
	font-display: block;
}

* {
	box-sizing: border-box;
	outline: 0;
}

figure {
	margin: 0;
}

select,
button {
	cursor: pointer;
}

h1,
h2,
h3,
p {
	margin: 0;
}

:is(h1, h2, h3) {
	text-wrap: balance;
}

a {
	text-decoration: none;
	color: inherit;
	display: block;
}

input {
	padding: 0;
	margin: 0;
}

.a-btn {
	display: inline-block;
	padding: 5px 7px;
	background-color: var(--color-1);
	color: white;
	;
}

.page {
	display: flex;
	flex-direction: column;
	min-height: 100vh;
	overflow: hidden;
	position: relative;
}

footer {
	margin-top: auto;
}

.w-page {
	max-width: 1300px;
	margin: auto;
	padding: 0 10px;
}

.error-input {
	display: none;
	color: red;
	padding: 3px 0;
	font-size: 13px;
}

.valid-error {
	color: red;
	font-size: 13px;
}

.category_level-up-select .valid-error {
	margin-top: -12px
}

.none {
	display: none;
}

.button {
	min-width: 100px;
	font-size: 1em;
	padding: .7em 1em;
	border-radius: 6px;
	border: none;
	cursor: pointer;
}

.button_color {
	background-color: var(--color-0);
	color: white;
}

.response {
	color: green;
}

[v-cloak] {
	display: none;
}

.input-error {
	padding: 3px 0;
	color: red;
	font-size: .9em;
}

.input {
	width: 100%;
	height: 32px;
	padding-left: 7px;
	border: 1px solid gray;
}

.select {
	width: 100%;
	height: 32px;
	border: 1px solid var(--color-1);
}

.legend {
	font-size: 14px;
	margin-bottom: 5px;
	color: var(--color-1);
}

.necessarily:after {
	content: '*';
	width: 10px;
	height: 10px;
	padding-left: 5px;
	color: red;
}

.mark-necessarily {
	color: red;
}

.icon {
	cursor: pointer;
}

.burger {
	width: 32px;
}

.plus {
	display: flex;
	justify-content: center;
	align-items: center;
	width: 50px;
	height: 50px;
	font-size: 28px;
	background-color: var(--color-1);
	color: white;
	border-radius: 100%;
	cursor: pointer;
	/* margin-bottom: 40px; */
}

.icon {
	cursor: pointer;
}

.button {
	min-width: 100px;
	font-size: 1em;
	padding: .7em 1em;
	border-radius: 6px;
	border: none;
	cursor: pointer;
}

.button_color {
	background-color: red;
	color: white;
}

.button_cancel {
	background-color: whitesmoke;
	border: 1px solid #ccc;
	color: unset;
}

.button_delete {
	background-color: rgb(223, 40, 40);
	border: 1px solid rgb(223, 40, 40);
	color: white;
}

@media(max-width: 520px) {
	.append-edit-record__group-input_submit button {
		display: block;
		margin-left: unset;
		margin-bottom: 10px;
		width: 100%;
	}
}

.button-icon {
	display: inline-block;
	cursor: pointer;
}

.button-icon.button-icon_m {
	width: 26px;
	height: 26px;
	margin: 0 10px;
}

/* dropdown */

.dropdown-win {
	position: fixed;
	top: 0;
	right: 0;
	background-color: #da1f1f;
	border-left: 4px solid green;
	color: white;
	z-index: 20000;
	width: 100%;
	padding: 15px;
}

/* site_popupmenu */

.site-popupmenu {
	/* display: none; */
	width: 100vw;
	height: 100vh;
	z-index: 10;
	background-color: white;	
}

.site-popupmenu__inner {
	padding: 20px;
	overflow: auto;	
}

.site-popupmenu__content {
	display: flex;
	flex-direction: column;
	align-items: center;	
}

.site-popupmenu__content a {
	font-size: 26px;
	padding: 10px;
	margin: 5px;
}

.site-popupmenu a:hover {
	text-decoration: underline;
}

.site-popupmenu__btn-close {
	font-size: 32px;
	text-align: right;
	padding-right: 20px;
	cursor: pointer;
}

.site-popupmenu__contacts {
	display: flex;
	flex-direction: column;
	align-items: center;
	margin-top: 50px;
}

.site-popupmenu__contacts-row {
	margin-bottom: 20px;
}

.site-popupmenu__contacts .bgt-location a {
	font-size: 18px;
}


/* popup-menu-user */

.popup-menu-user {
	position: absolute;
	top: 50;
	right: 0;
	background-color: var(--color-4);
	padding: 10px;
	height: auto;
	width: 200px;
	z-index: 10;
}

.popup-menu-user__btn-close {
	text-align: right;
	font-size: 26px;
	cursor: pointer;
	color: white;
	transform: translateX(-10px);
}

.popup-menu-user__btn-close img {
	width: 26px;
	height: auto;
}

.popup-menu-user__item {
	padding: 5px 0;
	margin: 5px 0 0 10px;
	color: white;
}

.popup-menu-user__item:hover {
	color: red;
}

button.popup-menu-user__item {
	border: none;
	background-color: transparent;
}

/* cart */

.cart {
	display: inline-block;
	cursor: pointer;
}

.cart__inner {
	display: inline-flex;
	align-items: center;
}

.cart__img {
	width: 30px;
	height: 30px;
	object-fit: contain;
	position: relative;
}

.cart__circle {
	display: inline-block;
	width: 6.5px;
	height: 6px;
	background-color: red;
	border-radius: 50%;
	position: absolute;
	right: 0;
	top: 3px;
}

.cart__img img {
	width: 30px;
	height: 30px;
	object-fit: contain;
}

.cart__number-product {
	font-size: 13px;
	padding-right: 5px;
	max-width: 50px;
	text-align: right;
	color: white;
}

/* content-cart */

.cart-order {
	max-width: 600px;
	margin: 0 auto 20px;
}

.content-cart__table tr {
	display: flex;
	align-items: center;
	padding: 5px 0;
}

.content-cart__table td {
	padding: 5px 10px;
}

.content-cart__product-img {
	width: 80px;
	height: 80px;
	min-width: 80px;
	background-color: blanchedalmond;
	border: 1px solid gray;
}

.content-cart__btn {
	display: flex;
	align-items: center;
	margin-left: 30px
}

.content-cart__btn span {
	margin: 0 20px;
}

.content-cart__btn button {
	padding: 5px 10px;
}

.content-cart__btn-del {
	margin: 0 10px;
}

.content-cart__itogo {
	margin-top: 20px;
	margin-left: 10px
}

/* place-order */

.place-order {
	margin-top: 40px
}

.place-order__inner {
	display: flex;
	flex-wrap: wrap;
}

.place-order__col {
	width: 300px;
	padding: 10px;
}

.place-order__header {
	font-weight: bold;
	margin-bottom: 10px;
	transform: translateX(3px)
}

.payment-method__inner {
	display: inline-flex;
	flex-wrap: wrap;
}

.payment-method__item {
	width: 80px;
	height: 80px;
	border: 1px solid gray;
	display: flex;
	justify-content: center;
	align-items: center;
	margin-right: 5px;
	margin-bottom: 5px;
}

.place-order__amount span {
	padding-left: 10px;
}

.place-order__amount td {
	font-size: 14px;
}

.place-order__amount tr td:last-child {
	text-align: right;
}

.place-order [type="checkbox"] {
	width: 18px;
	height: 18px;
}

.place-order__btn button {
	border: none;
	background-color: #1C7BC8;
	color: white;
	font-size: 15px;
	border-radius: 4px;
	padding: 10px;
	width: 100%;
	margin-top: 20px;
}

/* method-eceipt */

.method-eceipt__inner {
	display: flex;
	flex-wrap: wrap;
	margin-left: -10px;
}

.method-eceipt__group {
	display: flex;
	align-items: center;
	margin: 10px;
}

.method-eceipt label {
	font-size: 13px;
	margin-left: 10px;
}

/* data-user */

.data-user__inner {
	display: flex;
	flex-wrap: wrap;
}

.data-user__name {
	margin-right: 15px;
}

.place-order__group-input {
	margin: 10px 0;
}

.place-order__group-input input {
	max-width: 280px;
	width: 100%;
	height: 32px;
	color: inherit;
	font-size: 14px;
	padding-left: 5px;
	border: 1px solid gray;
}

.place-order__group-input.legend {
	color: var(--color-5);
}

/* header-top */

.header-top {
	display: flex;
	justify-content: flex-end;
	padding-top: 5px;
}


/* user */

.user-btn {
	cursor: pointer;
}

/* header-top goup-icons */

.div-header-top {
	background-color: var(--color-4);
}

.icon-header {
	width: 26px;
	height: auto;
}

.header-top.goup-icons {
	display: flex;
	align-items: center;
	padding: 10px 0;
}

.header-top .goup-icons__col {
	margin: 0 10px;
}

.btn-add-cart button {
	border: none;
	background-color: transparent;
	margin-top: 5px;
	padding: 5px;
}

.btn-add-cart:hover button {
	color: var(--w-color-5);
}

.win-auth {
	width: 280px;
	border: 1px solid var(--color-4);
	text-align: center;
}

.win-auth a {
	display: block;
	margin: 5px 0;
	font-size: 16px;
	color: var(--color-3);
}

.win-auth span {
	display: block;
	font-size: 14px;
}

.cart-content {
	margin: 10px auto;
	padding: 10px;
	border: 1px solid var(--color-5);
}

.cart-content__inner {
	display: flex;
}

.cart-content__col-1 {
	max-width: 150px;
}

.cart-content__col-2 {
	flex-grow: 1;
	padding: 0 10px;
}

.cart-content__col-3 {
	width: 50px;
	display: flex;
	flex-direction: column;
	justify-content: flex-start;
}

.cart-content__group {
	width: 100px;
	text-align: center;
}

.cart-content__img {
	width: 100%;
	height: 100px;
	background-color: #da1f1f;
}

.cart-content__price {
	font-size: 16px;
	margin-top: 15px;
}

.cart-content span {
	font-size: 14px;
}

.cart-content__group-1 {
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	height: 100%;
}

.cart-content__name {
	overflow-wrap: break-word;
	margin-bottom: 20px;
}

.cart-content__btn {
	display: flex;
	align-items: center;
	max-width: 200px;
}

.cart-content__btn button {
	border: 1px solid var(--color-5);
	width: 30px;
	height: 30px;
	display: flex;
	justify-content: center;
	align-items: center;
	font-size: 18px;
	background-color: transparent;
	cursor: pointer;
	margin: 10px;
}

.cart-content__group-2 {
	display: flex;
	flex-wrap: wrap;
	align-items: center;
}

.cart-content__summa {
	font-size: 16px;
	margin-left: 15px;
}

.cart-content__col-3 {
	display: flex;
	flex-direction: column;
	align-items: flex-end;
}

.cart-content__col-3 img {
	width: 25px;
	height: 25px;
	cursor: pointer;
}

.cart-null {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

.cart-null__txt {
	font-size: 16px;
	margin-top: 20px;
	margin-bottom: 20px;
}

.user-setting {
	width: 300px;
	overflow-x: auto;
	margin: auto;
	border: 1px solid var(--color-1);
}

.user-setting__inner {
	display: flex;
	flex-direction: column;
	align-items: center;
	padding: 10px;
}

.user-setting__group-input {
	width: 100%;
	margin-bottom: 10px;
}

.user-setting__group-input:last-child {
	margin-bottom: unset;
}

.user-setting__submit {
	margin-top: 10px;
}

.adm-layout {
	display: grid;
	grid-template-areas: 'header header' 'sidebar content';
	grid-gap: 10px;
	grid-template-columns: 150px 1fr;
	grid-template-rows: 80px 1fr;
}

.adm-layout__header {
	grid-area: header;
}

.adm-layout__sidebar {
	grid-area: sidebar;
	align-self: start;
}

.adm-layout__content {
	grid-area: content;
}

[class^="adm-layout__"] {
	border: 1px solid gray;
}